﻿#region Copyright
/// <summary>The ScummVM WPF UI project</summary>
/// <copyright>(c) 2016 MojoTouch</copyright>
/// <author>Ilya Rovensky</author>
#endregion

using System;

namespace WpfInterface
{
    public static class SoundPlayer
    {
        private static System.Media.SoundPlayer _musicPlayer;
        static SoundPlayer()
        {
            _musicPlayer = new System.Media.SoundPlayer();
        }

        public static void Music(bool play)
        {
            if (play)
            {
                _musicPlayer.SoundLocation = $"{Assets.Path}/bgmusic.wav";

                // loop
                _musicPlayer.PlayLooping();

            }
            else
                _musicPlayer.Stop();
        }
    }
}
